> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get results of bulk action as CSV

GET https://notary-d.docusign.net/restapi/v1.0/organizations/{organizationId}/bulk_action/{bulkActionId}/csv

Given a bulk action ID, this method returns the results of the bulk action as a CSV.

For bulk pool invites, the CSV includes the name, email, and processing result for each notary that was included in the bulk action request.

[Required authentication scopes](/platform/auth/reference/scopes/): `notary_read`, `signature`, `organization_read`.

Reference: https://developers.docusign.com/docs/notary-api/reference/organizations/bulkaction/getbulkactioncsv

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from DocuSign authorization server

## Servers

- `https://notary-d.docusign.net/restapi` (Demo, default)
- `https://na-notary.docusign.net/restapi` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization's GUID.
- `bulkActionId` (string, required) — The GUID of the bulk action.

## Response

### 200

Success

## Errors

### 400 Bad Request Error

Bad Request

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 401 Unauthorized Error

Unauthorized

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 403 Forbidden Error

Forbidden

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

## Examples

**Response**

```json
"string"
```